Package com.sun.jna.platform.win32

## Class Wtsapi32.WTS_SESSION_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wtsapi32.WTS_SESSION_INFO

Enclosing interface:
  Wtsapi32

    @FieldOrder({"SessionId","pWinStationName","State"})
    public static class Wtsapi32.WTS_SESSION_INFO
    extends Structure

Contains information about a client session on a Remote Desktop Session Host (RD Session Host) server.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `pWinStationName`
`int` `SessionId`
`int` `State`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`WTS_SESSION_INFO()`
`WTS_SESSION_INFO​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SessionId

    public int SessionId

#### pWinStationName

    public java.lang.String pWinStationName

#### State

    public int State

### Constructor Detail

#### WTS_SESSION_INFO

    public WTS_SESSION_INFO()

#### WTS_SESSION_INFO

    public WTS_SESSION_INFO​(Pointer p)